%This program is free software: you can redistribute it and/or modify
%it under the terms of the GNU Lesser Public License as published by
%the Free Software Foundation, either version 3 of the License, or
%(at your option) any later version.
%
%This program is distributed in the hope that it will be useful,
%but WITHOUT ANY WARRANTY; without even the implied warranty of
%MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%GNU Lesser Public License for more details.
%    
%You should have received a copy of the GNU Lesser Public License
%along with this program.  If not, see <http://www.gnu.org/licenses/>.
function [yn] = do_overlap_ensemble(R,x,R_ens,x_ens)
    
%R_ens should be 1 x N
%x_ens should be 3 x N
    
    R_ens=reshape(R_ens,1,numel(R_ens));
    N=numel(R_ens);
    [m,n]=size(x_ens);
    if m~=3
	x_ens=x_ens.';
    end
    x=reshape(x,3,1);
    d_ens=x_ens-x*ones(1,N);
    sep = sqrt(sum(abs(d_ens).^2));
    prod(double(sep>(R+R_ens)));
    yn = prod(double(sep>(R+R_ens)))~=1;
    
